
From: Arnd Bergmann <arnd@arndb.de>

I noticed that with the vDSO patch in 2.6.11-bk, it's almost possible to
build the kernel with the fedora biarch toolchain.  However, I still get
warnings from ld about zImage being the wrong architecture, unless I change
the script as shown in this patch.

I'm not sure if this breaks setups with old binutils that might not
understand powerpc:common, otherwise please apply.

(benh said: "Our toolchain guru says this shouldn't break unless your
binutils are completely rotten...")

Signed-off-by: Arnd Bergmann <arnd@arndb.de>
Acked-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/boot/zImage.lds |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/boot/zImage.lds~ppc64-fix-linking-zimage-with-biarch-ld arch/ppc64/boot/zImage.lds
--- 25/arch/ppc64/boot/zImage.lds~ppc64-fix-linking-zimage-with-biarch-ld	2005-03-11 12:32:10.000000000 -0800
+++ 25-akpm/arch/ppc64/boot/zImage.lds	2005-03-11 12:32:10.000000000 -0800
@@ -1,4 +1,4 @@
-OUTPUT_ARCH(powerpc)
+OUTPUT_ARCH(powerpc:common)
 SEARCH_DIR(/lib); SEARCH_DIR(/usr/lib); SEARCH_DIR(/usr/local/lib); SEARCH_DIR(/usr/local/powerpc-any-elf/lib);
 /* Do we need any of these for elf?
    __DYNAMIC = 0;    */
_
